CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2019-0188

Apache Camel prior to 2.24.0 contains an XML external entity injection (XXE) vulnerability (CWE-611) due to using an outdated vulnerable JSON-lib library. This affects only the camel-xmljson component, which was removed.
Publish Date : 2019-05-28 Last Update Date : 2019-06-07
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID 611

- Products Affected By CVE-2019-0188

# Product Type Vendor Product Version Update Edition Language
1 Application Apache Camel 1.0.0 Version Details Vulnerabilities
2 Application Apache Camel 1.1.0 Version Details Vulnerabilities
3 Application Apache Camel 1.2.0 Version Details Vulnerabilities
4 Application Apache Camel 1.3.0 Version Details Vulnerabilities
5 Application Apache Camel 1.4.0 Version Details Vulnerabilities
6 Application Apache Camel 1.5.0 Version Details Vulnerabilities
7 Application Apache Camel 1.6.0 Version Details Vulnerabilities
8 Application Apache Camel 1.6.1 Version Details Vulnerabilities
9 Application Apache Camel 1.6.2 Version Details Vulnerabilities
10 Application Apache Camel 1.6.3 Version Details Vulnerabilities
11 Application Apache Camel 1.6.4 Version Details Vulnerabilities
12 Application Apache Camel 2.0.0 M2 Version Details Vulnerabilities
13 Application Apache Camel 2.0.0 M3 Version Details Vulnerabilities
14 Application Apache Camel 2.0.0 Version Details Vulnerabilities
15 Application Apache Camel 2.0.0 M1 Version Details Vulnerabilities
16 Application Apache Camel 2.1.0 Version Details Vulnerabilities
17 Application Apache Camel 2.2.0 Version Details Vulnerabilities
18 Application Apache Camel 2.3.0 Version Details Vulnerabilities
19 Application Apache Camel 2.4.0 Version Details Vulnerabilities
20 Application Apache Camel 2.5.0 Version Details Vulnerabilities
21 Application Apache Camel 2.6.0 Version Details Vulnerabilities
22 Application Apache Camel 2.7.0 Version Details Vulnerabilities
23 Application Apache Camel 2.7.1 Version Details Vulnerabilities
24 Application Apache Camel 2.7.2 Version Details Vulnerabilities
25 Application Apache Camel 2.7.3 Version Details Vulnerabilities
26 Application Apache Camel 2.7.4 Version Details Vulnerabilities
27 Application Apache Camel 2.7.5 Version Details Vulnerabilities
28 Application Apache Camel 2.8.0 Version Details Vulnerabilities
29 Application Apache Camel 2.8.1 Version Details Vulnerabilities
30 Application Apache Camel 2.8.2 Version Details Vulnerabilities
31 Application Apache Camel 2.8.3 Version Details Vulnerabilities
32 Application Apache Camel 2.8.4 Version Details Vulnerabilities
33 Application Apache Camel 2.8.5 Version Details Vulnerabilities
34 Application Apache Camel 2.8.6 Version Details Vulnerabilities
35 Application Apache Camel 2.9.0 Version Details Vulnerabilities
36 Application Apache Camel 2.9.1 Version Details Vulnerabilities
37 Application Apache Camel 2.9.2 Version Details Vulnerabilities
38 Application Apache Camel 2.9.3 Version Details Vulnerabilities
39 Application Apache Camel 2.9.4 Version Details Vulnerabilities
40 Application Apache Camel 2.9.5 Version Details Vulnerabilities
41 Application Apache Camel 2.9.6 Version Details Vulnerabilities
42 Application Apache Camel 2.9.7 Version Details Vulnerabilities
43 Application Apache Camel 2.9.8 Version Details Vulnerabilities
44 Application Apache Camel 2.10.0 Version Details Vulnerabilities
45 Application Apache Camel 2.10.1 Version Details Vulnerabilities
46 Application Apache Camel 2.10.2 Version Details Vulnerabilities
47 Application Apache Camel 2.10.3 Version Details Vulnerabilities
48 Application Apache Camel 2.10.4 Version Details Vulnerabilities
49 Application Apache Camel 2.10.5 Version Details Vulnerabilities
50 Application Apache Camel 2.10.6 Version Details Vulnerabilities
51 Application Apache Camel 2.10.7 Version Details Vulnerabilities
52 Application Apache Camel 2.11.0 Version Details Vulnerabilities
53 Application Apache Camel 2.11.1 Version Details Vulnerabilities
54 Application Apache Camel 2.11.2 Version Details Vulnerabilities
55 Application Apache Camel 2.11.3 Version Details Vulnerabilities
56 Application Apache Camel 2.11.4 Version Details Vulnerabilities
57 Application Apache Camel 2.12.0 Version Details Vulnerabilities
58 Application Apache Camel 2.12.1 Version Details Vulnerabilities
59 Application Apache Camel 2.12.2 Version Details Vulnerabilities
60 Application Apache Camel 2.12.3 Version Details Vulnerabilities
61 Application Apache Camel 2.12.4 Version Details Vulnerabilities
62 Application Apache Camel 2.12.5 Version Details Vulnerabilities
63 Application Apache Camel 2.13.0 Version Details Vulnerabilities
64 Application Apache Camel 2.13.1 Version Details Vulnerabilities
65 Application Apache Camel 2.13.2 Version Details Vulnerabilities
66 Application Apache Camel 2.13.3 Version Details Vulnerabilities
67 Application Apache Camel 2.13.4 Version Details Vulnerabilities
68 Application Apache Camel 2.14.0 Version Details Vulnerabilities
69 Application Apache Camel 2.14.1 Version Details Vulnerabilities
70 Application Apache Camel 2.14.2 Version Details Vulnerabilities
71 Application Apache Camel 2.14.3 Version Details Vulnerabilities
72 Application Apache Camel 2.14.4 Version Details Vulnerabilities
73 Application Apache Camel 2.15.0 Version Details Vulnerabilities
74 Application Apache Camel 2.15.1 Version Details Vulnerabilities
75 Application Apache Camel 2.15.2 Version Details Vulnerabilities
76 Application Apache Camel 2.15.3 Version Details Vulnerabilities
77 Application Apache Camel 2.15.4 Version Details Vulnerabilities
78 Application Apache Camel 2.16.0 Version Details Vulnerabilities
79 Application Apache Camel 2.16.1 Version Details Vulnerabilities
80 Application Apache Camel 2.16.2 Version Details Vulnerabilities
81 Application Apache Camel 2.16.3 Version Details Vulnerabilities
82 Application Apache Camel 2.16.4 Version Details Vulnerabilities
83 Application Apache Camel 2.17.0 Version Details Vulnerabilities
84 Application Apache Camel 2.17.1 Version Details Vulnerabilities
85 Application Apache Camel 2.17.2 Version Details Vulnerabilities
86 Application Apache Camel 2.17.3 Version Details Vulnerabilities
87 Application Apache Camel 2.17.4 Version Details Vulnerabilities
88 Application Apache Camel 2.17.5 Version Details Vulnerabilities
89 Application Apache Camel 2.18.0 Version Details Vulnerabilities
90 Application Apache Camel 2.18.1 Version Details Vulnerabilities
91 Application Apache Camel 2.18.2 Version Details Vulnerabilities
92 Application Apache Camel 2.18.3 Version Details Vulnerabilities
93 Application Apache Camel 2.18.4 Version Details Vulnerabilities
94 Application Apache Camel 2.18.5 Version Details Vulnerabilities
95 Application Apache Camel 2.19.0 Version Details Vulnerabilities
96 Application Apache Camel 2.19.1 Version Details Vulnerabilities
97 Application Apache Camel 2.19.2 Version Details Vulnerabilities
98 Application Apache Camel 2.19.3 Version Details Vulnerabilities
99 Application Apache Camel 2.19.4 Version Details Vulnerabilities
100 Application Apache Camel 2.19.5 Version Details Vulnerabilities
101 Application Apache Camel 2.20.0 Version Details Vulnerabilities
102 Application Apache Camel 2.20.1 Version Details Vulnerabilities
103 Application Apache Camel 2.20.2 Version Details Vulnerabilities
104 Application Apache Camel 2.20.3 Version Details Vulnerabilities
105 Application Apache Camel 2.20.4 Version Details Vulnerabilities
106 Application Apache Camel 2.21.0 Version Details Vulnerabilities
107 Application Apache Camel 2.21.1 Version Details Vulnerabilities
108 Application Apache Camel 2.21.2 Version Details Vulnerabilities
109 Application Apache Camel 2.21.3 Version Details Vulnerabilities
110 Application Apache Camel 2.21.4 Version Details Vulnerabilities
111 Application Apache Camel 2.21.5 Version Details Vulnerabilities
112 Application Apache Camel 2.22.0 Version Details Vulnerabilities
113 Application Apache Camel 2.22.1 Version Details Vulnerabilities
114 Application Apache Camel 2.22.2 Version Details Vulnerabilities
115 Application Apache Camel 2.22.3 Version Details Vulnerabilities
116 Application Apache Camel 2.22.4 Version Details Vulnerabilities
117 Application Apache Camel 2.23.0 Version Details Vulnerabilities
118 Application Apache Camel 2.23.1 Version Details Vulnerabilities
119 Application Apache Camel 2.23.2 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Apache Camel 119

- References For CVE-2019-0188

https://lists.apache.org/thread.html/[email protected]%3Cdev.tamaya.apache.org%3E
MLIST [tamaya-dev] 20190607 [jira] [Closed] (TAMAYA-410) Update camel-core dependency past CVE-2019-0188
https://lists.apache.org/thread.html/[email protected]%3Cdev.tamaya.apache.org%3E
MLIST [tamaya-dev] 20190607 [jira] [Commented] (TAMAYA-410) Update camel-core dependency past CVE-2019-0188
http://www.openwall.com/lists/oss-security/2019/05/24/2
MLIST [oss-security] 20190524 [SECURITY][ERRATA-CORRIGE] New security advisory CVE-2019-0188 released for Apache Camel
https://lists.apache.org/thread.html/[email protected]%3Cusers.camel.apache.org%3E
MLIST [camel-users] 20190524 [SECURITY][ERRATA-CORRIGE] New security advisory CVE-2019-0188 released for Apache Camel
https://lists.apache.org/thread.html/[email protected]%3Cdev.tamaya.apache.org%3E
MLIST [tamaya-dev] 20190607 [jira] [Created] (TAMAYA-410) Update camel-core dependency past CVE-2019-0188
https://lists.apache.org/thread.html/[email protected]%3Ccommits.tamaya.apache.org%3E
MLIST [tamaya-commits] 20190607 [GitHub] [incubator-tamaya-sandbox] peculater opened a new pull request #30: TAMAYA-410 bump camel-core version past CVE-2019-0188
https://lists.apache.org/thread.html/[email protected]%3Ccommits.tamaya.apache.org%3E
MLIST [tamaya-commits] 20190607 [GitHub] [incubator-tamaya-sandbox] ottlinger commented on issue #30: TAMAYA-410 bump camel-core version past CVE-2019-0188
https://lists.apache.org/thread.html/[email protected]%3Ccommits.tamaya.apache.org%3E
MLIST [tamaya-commits] 20190607 [GitHub] [incubator-tamaya-sandbox] peculater merged pull request #30: TAMAYA-410 bump camel-core version past CVE-2019-0188
https://lists.apache.org/thread.html/[email protected]%3Ccommits.tamaya.apache.org%3E
MLIST [tamaya-commits] 20190607 [incubator-tamaya-sandbox] branch master updated: TAMAYA-410 bump camel-core version past CVE-2019-0188
http://www.securityfocus.com/bid/108422
BID 108422 Apache Camel CVE-2019-0188 XML External Entity Injection Vulnerability Release Date:2019-05-22
https://github.com/apache/camel/blob/master/docs/user-manual/en/security-advisories/CVE-2019-0188.txt.asc CONFIRM
http://jvn.jp/en/jp/JVN71498764/index.html
JVN JVN#71498764

- Metasploit Modules Related To CVE-2019-0188

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.